Download it now!
Bug 86541 - 4.4.0.0.beta1 new TextBox: very different behaviour for same shapes
Summary: 4.4.0.0.beta1 new TextBox: very different behaviour for same shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta1
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-21 22:25 UTC by Maxim Britov
Modified: 2015-09-29 19:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example (184.04 KB, image/png)
2014-11-21 22:26 UTC, Maxim Britov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2014-11-21 22:25:37 UTC
Sorry, I don't know terminology. I will attach screenshot for it.
I select same shape and get different result.
Please look attached screen.

It about new for 4.4 TextBoxes.
I draw shape, then Right-click and select "Text Box" only.
I show it on rectangle, but on oval it more effectually :)
Comment 1 Maxim Britov 2014-11-21 22:26:29 UTC
Created attachment 109825 [details]
example
Comment 2 Jacques Guilleron 2014-11-24 15:53:35 UTC
Hi Ungifted,

As you reported it, if a rectangle or an ellipse is selected out of the Basic shapes, and a Text box is neeeded, it will be not centered but applied upwards into the form.
I reproduce it with LO 4.4.0.0.beta1
Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: fr_FR
& Windows 7 Home Premium.

I set Status to New and lower Importance to Low Trivial.

Regards,

Jacques
Comment 3 Maxim Britov 2015-01-10 23:11:45 UTC
Still present in 4.4.0.2
Comment 4 Maxim Monastirsky 2015-09-29 19:04:35 UTC
This feature doesn't work correctly with simple shapes, only with "Custom Shapes" (Import is also not implemented, see Bug 84942). The "Add Text Box" menu item removed for such shapes in [1], so let's mark this one as FIXED.

[1] http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bfff14d8f2240ff37b91b78c337438214dfa1bc